import type { ID, Entity } from "../internal/entity";
import type { Token } from "../token";
export declare namespace Networks {
    interface NetworkArgs {
        name: string;
        chainId: number;
        chainCurrency: string;
    }
    export class Network implements Entity {
        readonly id: ID;
        readonly name: string;
        readonly chainCurrency: string;
        readonly chainId: number;
        readonly tokens: Token[];
        readonly tokenAddresses: string[];
        constructor(args: NetworkArgs);
        get zapIsL2BridgeZap(): boolean;
        supportsToken(token: Token): boolean;
    }
    export const ETH: Network;
    export const OPTIMISM: Network;
    export const CRONOS: Network;
    export const BSC: Network;
    export const POLYGON: Network;
    export const FANTOM: Network;
    export const BOBA: Network;
    export const METIS: Network;
    export const MOONBEAM: Network;
    export const MOONRIVER: Network;
    export const ARBITRUM: Network;
    export const AVALANCHE: Network;
    export const AURORA: Network;
    export const HARMONY: Network;
    export const networkName: (chainId: number) => string;
    export const fromChainId: (chainId: number) => Network;
    export function networkSupportsToken(network: Network | number, token: Token): boolean;
    export const supportedNetworks: () => Network[];
    export {};
}
export declare const supportedNetworks: () => Networks.Network[];
