export { newSynapseBridgeInstance, newL1BridgeZapInstance, newL2BridgeZapInstance } from "./entities";
import { SynapseEntities } from "./entities";
export declare const synapseBridge: typeof SynapseEntities.synapseBridge, l1BridgeZap: typeof SynapseEntities.l1BridgeZap, l2BridgeZap: typeof SynapseEntities.l2BridgeZap;
import { Bridge } from "./bridge/bridge";
export { Bridge };
export { Slippages } from "./bridge/slippages";
export { ChainId, supportedChainIds } from "./common/chainid";
import { Networks, supportedNetworks } from "./common/networks";
export { Networks, supportedNetworks };
export { BaseToken, WrappedToken } from "./token";
export { Tokens } from "./tokens";
export { SwapPools, networkSwapTokensMap, allNetworksSwapTokensMap, swappableTokens, swappableTokensAllNetworks, } from "./swappools";
export { TokenSwap, UnsupportedSwapErrors } from "./tokenswap";
import type { ChainIdTypeMap, AddressMap, DecimalsMap } from "./common/types";
import type { Token } from "./token";
import type { NetworkSwappableTokensMap } from "./swappools";
import type { SynapseBridgeContract, GenericZapBridgeContract, L1BridgeZapContract, L2BridgeZapContract, SynapseERC20Contract, BridgeConfigContract } from "./contracts";
declare type Network = Networks.Network;
declare type BridgeOutputEstimate = Bridge.BridgeOutputEstimate;
export type { Network, Token, ChainIdTypeMap, AddressMap, DecimalsMap, NetworkSwappableTokensMap, SynapseBridgeContract, GenericZapBridgeContract, L1BridgeZapContract, L2BridgeZapContract, SynapseERC20Contract, BridgeConfigContract, BridgeOutputEstimate, };
